#!/bin/sh

fel write 0x2000 u-boot-spl.bin
fel exe   0x2000

fel write 0x4a000000 u-boot.bin

echo Uploading kernel
fel -v write 0x42000000 uImage-3.18-bootsetup

echo Uploading initramfs
fel -v write 0x43300000 rootfs.cpio.uboot

if [ "`fel ver | grep A10`" ] ; then
	echo Uploading sun4i-a10-bootsetup.dtb
	fel write 0x43000000 sun4i-a10-bootsetup.dtb
fi

if [ "`fel ver | grep A13`" ] ; then
	echo Uploading sun5i-a10s-bootsetup.dtb
	fel write 0x43000000 sun5i-a10s-bootsetup.dtb
fi

if [ "`fel ver | grep A20`" ] ; then
	echo Uploading sun7i-a20-bootsetup.dtb
	fel write 0x43000000 sun7i-a20-bootsetup.dtb
fi

mkimage -C none -A arm -T script -d boot.cmd boot.scr
fel write 0x43100000 boot.scr

fel exe 0x4a000000
